#api-insight {
  width: 100%;
  min-height: 100svh;
  padding: 64px 0 0;
  display: flex;
  align-items: flex-end;
  justify-content: center;
  background: url('../assets_revamp/Background-Pattern2.svg') no-repeat top 120px right / 50% auto;
}

#api-insight .ai-container {
  width: 80%;
  display: flex;
  flex-direction: column;
  align-items: flex-start;
  justify-content: center;
  gap: 40px;
}

#api-insight .ai-container .ai-headline {
  display: flex;
  align-items: flex-start;
  justify-content: space-between;
  gap: 40px;
}

#api-insight .ai-container .ai-headline .title {
  display: flex;
  flex-direction: column;
  gap: 12px;
}

#api-insight .ai-container .ai-headline .title h2 {
  font-family: 'Sora', sans-serif;
  font-size: 24px;
  font-weight: 600;
  line-height: 32px;
  color: var(--dl-color-grays-dark80);
}

#api-insight .ai-container .ai-headline .title p {
  font-family: 'Inter', sans-serif;
  font-size: 18px;
  font-weight: 400;
  line-height: 24px;
  letter-spacing: 0.5px;
  color: var(--dl-color-grays-dark80);
}

#api-insight .ai-container .ai-headline .title p.description-en {
  max-width: 85%;
}

#api-insight .ai-container .ai-headline .ai-img {
  max-width: 540px;
  border-radius: 8px;
  overflow: hidden;
}

#api-insight .ai-container .ai-headline .ai-img img {
  max-width: 100%;
}

#api-insight .ai-container .ai-cards {
  max-width: 100%;
  display: grid;
  grid-template-columns: repeat(2, 1fr);
  gap: 24px;
}

#api-insight .ai-container .ai-cards .card {
  min-width: 100%;
  padding: 40px;
  display: flex;
  flex-direction: column;
  align-items: flex-start;
  gap: 16px;
  border-bottom: 2px solid var(--color-font-accent);
  border-radius: 12px;
  background-color: var(--dl-color-theme-accent1);
  box-shadow: 12px 12px 50px 0 rgba(0, 0, 0, 0.08);
}

#api-insight .ai-container .ai-cards .card .title {
  display: flex;
  align-items: center;
  justify-content: flex-start;
  gap: 13px;
}

#api-insight .ai-container .ai-cards .card .title .icon {
  width: 64px;
  height: 64px;
  border-radius: 100%;
  background-color: #8bd1ff26;
  display: flex;
  align-items: center;
  justify-content: center;
}

#api-insight .ai-container .ai-cards .card .title h3 {
  font-family: 'Sora', sans-serif;
  font-size: 20px;
  font-weight: 600;
  line-height: 28px;
  color: var(--color-font-ink);
}

#api-insight .ai-container .ai-cards .card p {
  font-family: 'Inter', sans-serif;
  font-size: 18px;
  font-weight: 400;
  line-height: 24px;
  letter-spacing: 0.5px;
  color: var(--color-font-deep-muted);
}

/* ===== Mobile ===== */
@media (max-width: 767px) {
  #api-insight {
    min-height: 1500px;
    background-position: top 110px right -70px;
    background-size: auto 336px;
  }

  #api-insight .ai-container {
    width: 100%;
    padding: 0 24px;
  }

  #api-insight .ai-container .ai-headline {
    flex-direction: column;
    gap: 24px;
  }

  #api-insight .ai-container .ai-headline .title h2 {
    font-size: 20px;
    line-height: 28px;
  }

  #api-insight .ai-container .ai-headline .title p {
    max-width: 85%;
    font-size: 16px;
    line-height: 20px;
    letter-spacing: 0.25px;
  }
  
  #api-insight .ai-container .ai-headline .title p.description-en {
    max-width: 85%;
  }

  #api-insight .ai-container .ai-headline .ai-img {
    max-width: 100%;
  }

  #api-insight .ai-container .ai-cards {
    grid-template-columns: 1fr;
    gap: 16px;
  }

  #api-insight .ai-container .ai-cards .card {
    min-width: 100%;
  }

  #api-insight .ai-container .ai-cards .card .title h3 {
    font-size: 18px;
    line-height: 24px;
    letter-spacing: 0.15px;
  }

  #api-insight .ai-container .ai-cards .card p {
    font-size: 16px;
    line-height: 20px;
    letter-spacing: 0.25px;
  }
}

/* ===== Tablet or iPad ===== */
@media (min-width: 768px) and (max-width: 1024px) {
  #api-insight {
    min-height: 1300px;
  }

  #api-insight .ai-container {
    width: 90%;
  }

  #api-insight .ai-container .ai-headline .title h2 {
    font-size: 22px;
    line-height: 30px;
  }

  #api-insight .ai-container .ai-headline .title p {
    font-size: 16px;
    line-height: 22px;
    letter-spacing: 0.25px;
  }

  #api-insight .ai-container .ai-cards {
    max-width: 100%;
    overflow: hidden;
  }

  #api-insight .ai-container .ai-cards .card {
    min-width: 40%;
  }

  #api-insight .ai-container .ai-cards .card .title h3 {
    font-size: 16px;
    line-height: 24px;
  }

  #api-insight .ai-container .ai-cards .card p {
    font-size: 14px;
    line-height: 18px;
    letter-spacing: 0.15px;
  }
}
